#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QUrl>

#include "taskjugglerview.h"

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

#if 0
private slots:
    /* Taken from TaskJugglerUI/taskjuggler.h */
    void fileNew();
    void fileNewInclude();
    void fileOpen();
    void fileClose();
    void filePrint();
    void optionsPreferences();
    void showTipOnStart();
    void showTip();

    void changeStatusbar(const QString& text);
    void addRecentURL(const QUrl& text);
#endif

private:
    Ui::MainWindow *ui;
    TaskJugglerView *m_view;
};

#endif // MAINWINDOW_H
